Update chat visibility

Updates the visibility of the chat interface for a specific video and assistant

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST /assist-ai/update_chat_visibility

Detailed Description

Updates whether the chat interface is visible for a specific assistant and video.

HTTP Method & Path

POST /assist-ai/update_chat_visibility

Authentication Requirements

  • Security Scheme: PandaAuth (apiKey)
  • Header: Authorization: <your_api_token>

Parameters

NameInTypeRequiredDescription
AuthorizationheaderstringYesPanda API token

Request Body

Schema: UpdateChatVisibilityRequest

NameTypeRequiredDescription
assistant_idstringYesAssistant ID.
video_idstringYesVideo ID.
chat_is_visiblebooleanYesWhether the chat should be visible.

Example Request Body

{
  "assistant_id": "123e4567-e89b-12d3-a456-426614174000",
  "video_id": "video123",
  "chat_is_visible": true
}
Body Params
string
required

ID of the assistant

string
required

ID of the video

boolean
required

Whether the chat should be visible

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json